// ************************************************************
// *****             CPTS 562 - Final Project             *****
// *****         JavaSpaces Entry For Cipher Text         *****
// *****             05/03/2002 by Stefan Witt            *****
// ************************************************************

import net.jini.core.entry.*;



/**
  *  This class describes a cipher text entry in a JavaSpace. It is
  *  used to ship a cipher text from the server to the replicated worker.
  *  @author  Stefan Witt
  *  @version 1.0
  */

public class CipherText implements Entry {
    public int cipher[]; /** contains cipher data */


    // ***** Constructor *****
    /**
      *  This constructs an empty CipherText object. This is needed by
      *  the space proxy (see ch. 2.6.3 on pp. 48-48 in "JavaSpaces Principles,
      *  Patterns, and Practice" for details).
      */

    public CipherText() {
    }


    // ***** Constructor *****
    /**
      *  Construct a CipherText object with specified encrypted data.
      *  @param data the encrypted data
      */

    public CipherText(int data[]) {
	int i;

	cipher = new int[data.length];      // copy encrypted data
	for (i = 0; i < data.length; i++) {
	    cipher[i] = data[i];
	}
    }
}
