// taken from "Jini In A Nutshell", p. 112

import java.rmi.*;
import java.rmi.server.*;
import net.jini.core.lookup.*;
import net.jini.core.event.*;

public class ServiceFinderListener extends UnicastRemoteObject
                                   implements RemoteEventListener {
    private ServiceFinder parent;

    public ServiceFinderListener(ServiceFinder parent)
                                 throws RemoteException {
	this.parent = parent;
    }

    public void notify(RemoteEvent event)
                throws UnknownEventException, RemoteException {
	if (!(event instanceof ServiceEvent))
	    throw new UnknownEventException("ServiceFinderListener");

	ServiceEvent sevent = (ServiceEvent) event;
	ServiceItem item = sevent.getServiceItem();
	if (sevent.getTransition() ==
                      ServiceRegistrar.TRANSITION_NOMATCH_MATCH) {
	    parent.addServiceItem(item);
	}
    }
}
